Edit a transcription
curl --request PATCH \
--url https://api.pawa-ai.com/v1/transcribe/workspace/{id}/transcriptions/{transcriptionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transcript": {
"filename": "meeting.mp3",
"transcript": "Hello world..."
}
}
'import requests
url = "https://api.pawa-ai.com/v1/transcribe/workspace/{id}/transcriptions/{transcriptionId}"
payload = { "transcript": {
"filename": "meeting.mp3",
"transcript": "Hello world..."
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({transcript: {filename: 'meeting.mp3', transcript: 'Hello world...'}})
};
fetch('https://api.pawa-ai.com/v1/transcribe/workspace/{id}/transcriptions/{transcriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Transcription updated successfully",
"data": {
"id": 1,
"fileName": "meeting_recording.mp3",
"fileUrl": "https://storage.domain.com/files/meeting_recording.mp3",
"fileType": "audio/mpeg",
"duration": 320,
"transcript": {
"filename": "testing audio.mp3",
"transcript": "[Environmental Sounds]"
},
"status": "COMPLETED",
"createdAt": "2026-02-23T08:00:00.000Z",
"updatedAt": "2026-02-23T08:10:00.000Z"
}
}{
"success": false,
"message": "Invalid input provided"
}{
"success": false,
"message": "Unauthorized access"
}{
"success": false,
"message": "You do not have permission to access this resource"
}{
"success": false,
"message": "Resource does not exist"
}{
"success": false,
"message": "Rate limit exceeded. Please try again later."
}{
"success": false,
"message": "Internal server error"
}Transcribe
Update Transcription
This endpoint is used to update the transcript content of a specific transcription within a workspace.
PATCH
/
transcribe
/
workspace
/
{id}
/
transcriptions
/
{transcriptionId}
Edit a transcription
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The manually edited transcript content
Example:
{
"filename": "meeting.mp3",
"transcript": "Hello world..."
}⌘I